| xmonad-contrib-0.8.1: Third party extensions for xmonad | Contents | Index

XMonad.Layout.WindowNavigation

Portability | unportable
Stability | unstable
Maintainer | Devin Mullins <me@twifkak.com>

Contents

Usage

Description
WindowNavigation is an extension to allow easy navigation of a workspace.
Synopsis

windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a
configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a

data Navigate

= Go Direction
| Swap Direction
| Move Direction

data Direction

= U
| D
| R
| L

data MoveWindowToWindow a = MoveWindowToWindow a a
navigateColor :: String -> WNConfig
navigateBrightness :: Double -> WNConfig
noNavigateBorders :: WNConfig
defaultWNConfig :: WNConfig

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.WindowNavigation

Then edit your `layoutHook` by adding the WindowNavigation layout modifier to some layout:

     myLayouts = windowNavigation (Tall 1 (3/100) (1/2))  ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending#Editing_the_layout_hook

In keybindings:

        , ((modMask x,                 xK_Right), sendMessage $ Go R)
        , ((modMask x,                 xK_Left ), sendMessage $ Go L)
        , ((modMask x,                 xK_Up   ), sendMessage $ Go U)
        , ((modMask x,                 xK_Down ), sendMessage $ Go D)
        , ((modMask x .|. controlMask, xK_Right), sendMessage $ Swap R)
        , ((modMask x .|. controlMask, xK_Left ), sendMessage $ Swap L)
        , ((modMask x .|. controlMask, xK_Up   ), sendMessage $ Swap U)
        , ((modMask x .|. controlMask, xK_Down ), sendMessage $ Swap D)

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending#Editing_key_bindings.

windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a
configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a
data Navigate

Constructors

Go Direction |
Swap Direction |
Move Direction |

Instances

Read Navigate
Show Navigate
Typeable Navigate
Message Navigate

data Direction

An enumeration of the four cardinal directions/sides of the screen. Ideally this would go in its own separate module in Util, but ManageDocks is angling for inclusion into the xmonad core, so keep the dependencies to a minimum.
Constructors

U | Up/top
D | Down/bottom
R | Right
L | Left

Instances

Bounded Direction
Enum Direction
Eq Direction
Ord Direction
Read Direction
Show Direction

data MoveWindowToWindow a

Constructors

MoveWindowToWindow a a |

Instances

Typeable1 MoveWindowToWindow
Read a => Read (MoveWindowToWindow a)
Show a => Show (MoveWindowToWindow a)
Typeable a => Message (MoveWindowToWindow a)

navigateColor :: String -> WNConfig
navigateBrightness :: Double -> WNConfig
noNavigateBorders :: WNConfig
defaultWNConfig :: WNConfig
Produced by Haddock version 2.1.0